=== debian/changelog ===
gpscorrelate (2.1-2build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:03:14 +0000

gpscorrelate (2.1-2) unstable; urgency=medium

  [ Jeroen Ploemen ]
  * Tests: temporarily remove any dependency on valgrind, to avoid a bug
    in that package from triggering autopkgtest failures (see #1071656).

 -- Shriram Ravindranathan <s20n@ters.dev>  Fri, 28 Jun 2024 06:31:51 +0000

gpscorrelate (2.1-1) unstable; urgency=medium

  [ Shriram Ravindranathan ]
  * New upstream version 2.1
  * New maintainer (Closes: #1015844)
  * d/control:
    - Replace deprecated build-dep pkg-config with pkgconf
    - Bump Standards-Version to 4.7.0
    - Remove ancient version requirement for build-dep libexiv2-dev
    - Update maintainer name
  * d/copyright:
    - Update copyright years
    - Simplify file list using wildcards
    - Remove deleted files from copyright
    - Add Upstream-Contact information
    - Add new maintainer to copyright
    - Fix license discrepancies for debian/* and i18n.h
  * Drop d/gpscorrelate-gui.dirs (redundant)
  * d/p/*:
    - Drop upstream_Adapt-to-API-type-changes-in-exiv2-0.28.0.patch:
      applied upstream
    - Add 0001-Remove-remote-image-links-from-documentation.patch
  * d/t/*:
    - Add d/t/control and d/t/upstream-suite
  * d/rules:
    - Remove override for dh_auto_test

  [ Jeroen Ploemen ]
  * Watch: switch from github tags to releases; the latter include the
    upstream appstream metadata file.
  * d/gpscorrelate-gui.install: add appstream metadata file.
  * Patches: add 0002-Keep-upstream-metainfo-file.

 -- Shriram Ravindranathan <s20n@ters.dev>  Sat, 18 May 2024 08:06:03 +0000
