## gpscorrelate 2.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for gpscorrelate
 
-PACKAGE_VERSION = 2.1
+PACKAGE_VERSION = 2.3
 
 CC = gcc
 CXX = g++
