=== debian/changelog ===
gpscorrelate (2.3-0.1) unstable; urgency=high

  * Non-maintainer upload
  * New upstream version 2.3

 -- Bastian Germann <bage@debian.org>  Wed, 09 Apr 2025 23:35:23 +0200
