=== debian/tests/control ===
Tests: upstream-suite
# dependency on valgrind-if-available removed for now, see #1071656
Depends: @, exiv2
