=== debian/watch ===
version=4
opts=searchmode=plain \
 https://api.github.com/repos/dfandrich/gpscorrelate/releases?per_page=100 \
 https://github.com/dfandrich/gpscorrelate/releases/download/v?[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
